Create a Disputed Balance
post
/disputeBalance
Creates a disputed balance.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : Dispute Balance Create Oracle
Type:
objectTitle:
Dispute Balance Create OracleA disputed balance, used in DisputeBalance create requests.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
actionType: string
Title:
Action TypeAllowed Values:[ "BillDispute", "EventDispute", "ItemDispute" ]The type of balance being disputed: BillDispute, EventDispute, or ItemDispute. -
amount(required): object
Quantity
Represents an amount in a specified unit.
-
bieId(required): array
bieId
The bill, item, or event IDs associated with the dispute.
-
description: string
Title:
Dispute DescriptionThe dispute's description. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
reason: string
Title:
Dispute ReasonThe reason for the dispute. -
taxTreatment: string
Title:
Tax TreatmentAllowed Values:[ "TaxIncluded", "TaxExcluded", "TaxOnly" ]The status of taxes on the dispute: TaxIncluded, TaxExcluded, or TaxOnly.
Nested Schema : Quantity
Type:
objectRepresents an amount in a specified unit.
Show Source
-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
Nested Schema : bieId
Type:
arrayThe bill, item, or event IDs associated with the dispute.
Show Source
-
Array of:
object BIEField Oracle
Title:
BIEField OracleA bill, item, or event, extended for BRM REST Services Manager.
Nested Schema : Party Account Ref
Type:
objectTitle:
Party Account RefA reference to a party account.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
Nested Schema : BIEField Oracle
Type:
objectTitle:
BIEField OracleA bill, item, or event, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe bill, item, or event href. -
id(required): string
Title:
IDThe bill, item, or event ID.
Response
Supported Media Types
- application/json;charset=utf-8
201 Response
The disputed balance was created successfully.
Root Schema : Dispute Balance Oracle
Type:
objectTitle:
Dispute Balance OracleA disputed balance, extended for BRM REST Services Manager.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
actionType: string
Title:
Action TypeAllowed Values:[ "BillDispute", "ItemDispute", "EventDispute" ]The type of balance being disputed: BillDispute, ItemDispute, or EventDispute. -
amount: object
Quantity
Represents an amount in a specified unit.
-
bill(required): object
Bill Ref
Title:
Bill RefA reference to a bill. -
billEvent: array
billEvent
The events are associated with the dispute.
-
billingCycleSpecification(required): object
Billing Cycle Specification Ref Oracle
Title:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager. -
billItem: array
billItem
The bill items associated with the dispute.
-
billStructure: object
Bill Structure Ref
Title:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager. -
confirmationDate: string
(date-time)
Title:
Confirmation DateThe date the dispute was confirmed. -
description: string
Title:
Dispute DescriptionThe dispute's description. -
discount: string
Title:
DiscountA discount associated with the dispute. -
disputeNo: string
Title:
Dispute NumberThe dispute number to display on a bill. -
href(required): string
Title:
HrefThe disputed balance's href. -
id(required): string
Title:
Dispute IDThe disputed balance's ID. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
reason: string
Title:
Dispute ReasonThe reason for the dispute. -
requestedDate: string
(date-time)
Title:
Requested DateThe date the request was made. -
settlementId: string
Title:
Settlement IDThe ID of the settlement associated with the dispute. -
status: string
Title:
StatusAllowed Values:[ "Settled", "Open" ]The dispute's status: Settled or Open. -
taxAmount: object
Quantity
Represents an amount in a specified unit.
-
taxTreatment: string
Title:
Tax TreatmentAllowed Values:[ "TaxIncluded", "TaxExcluded", "TaxOnly" ]The status of taxes on the dispute: TaxIncluded, TaxExcluded, or TaxOnly.
Nested Schema : Quantity
Type:
objectRepresents an amount in a specified unit.
Show Source
-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
Nested Schema : Bill Ref
Type:
objectTitle:
Bill RefA reference to a bill.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
Nested Schema : billEvent
Type:
arrayThe events are associated with the dispute.
Show Source
-
Array of:
object BillEvent Dispute Oracle
Title:
BillEvent Dispute OracleA disputed bill event.
Nested Schema : Billing Cycle Specification Ref Oracle
Type:
objectTitle:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe billing cycle specification's href. -
id: string
Title:
IDThe billing cycle specification's ID. -
name: string
Title:
NameThe billing cycle specification's name.
Nested Schema : billItem
Type:
arrayThe bill items associated with the dispute.
Show Source
-
Array of:
object BillItem Dispute Oracle
Title:
BillItem Dispute OracleA disputed bill item (AppliedCustomerBillingRate).
Nested Schema : Bill Structure Ref
Type:
objectTitle:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe bill structure's href. -
id: string
Title:
IDThe bill structure's ID. -
name: string
Title:
NameThe bill structure's name.
Nested Schema : Party Account Ref
Type:
objectTitle:
Party Account RefA reference to a party account.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
Nested Schema : BillEvent Dispute Oracle
Type:
objectTitle:
BillEvent Dispute OracleA disputed bill event.
Show Source
-
adjustmentAmount: object
Money
Represents a monetary amount.
-
href: string
Title:
HrefThe disputed event's href. -
id: string
Title:
IdThe disputed event's ID. -
name: string
Title:
NameThe disputed event's name. -
originalCharge: object
Money
Represents a monetary amount.
Nested Schema : Money
Type:
objectRepresents a monetary amount.
Show Source
-
unit: string
The currency's ISO 4217 three-letter code.
-
value: number
(double)
A signed floating-point number whose sign depends on the API context.
Nested Schema : BillItem Dispute Oracle
Type:
objectTitle:
BillItem Dispute OracleA disputed bill item (AppliedCustomerBillingRate).
Show Source
-
adjustmentAmount: object
Money
Represents a monetary amount.
-
href(required): string
Title:
HrefThe disputed item's href. -
id(required): string
Title:
IdThe disputed item's ID. -
name(required): string
Title:
NameThe disputed item's name. -
originalCharge: object
Money
Represents a monetary amount.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to create a disputed balance for an event by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL.
The -d option specifies the file to attach as the request body.
curl -X POST 'http://host:port/brm/prepayBalanceManagement/version/disputeBalance' -d @disputeBalanceCreate.json
Request Body
The following is an example of the contents of the disputeBalanceCreate.json file sent as the request body.
{
"description": "My First Event Dispute",
"reason": "1",
"amount": {
"amount": 1.00,
"units": "USD"
},
"bieId": [
{
"id": "0.0.0.1+-event-billing-product-fee-cycle-cycle_forward_monthly+324100843496386447"
}
],
"taxTreatment": "TaxExcluded"
}
Response Body
The following is an example of the response body in JSON format.
{
"id": "0.0.0.1+-item-dispute+115931",
"href": "https://host:port/brm/prepayBalanceManagement/version/disputeBalance/0.0.0.1+-item-dispute+115931",
"actionType": "EventDispute",
"disputeNo": null,
"amount": {
"amount": -1.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"taxAmount": null,
"reason": "1",
"description": "My First Event Dispute",
"partyAccount": {
"id": "0.0.0.1+-account+114053",
"href": null,
"description": null,
"name": null,
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"validFor": null,
"discount": null,
"taxTreatment": null,
"confirmationDate": null,
"requestedDate": "2025-06-23T03:24:36-07:00",
"billingCycleSpecification": null,
"bill": null,
"billItem": null,
"billEvents": null,
"status": "Open",
"settlementId": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null
}